## FolksAliasDetails

FolksAliasDetails — Alias for a contact.

## Types and Values

| FolksAliasDetails
struct | FolksAliasDetailsIface

## Description

This allows representation of aliases for contacts, where the user has chosen their own name for the contact to better represent that contact to them. A typical example of this is the use of user-chosen aliases for contacts in instant messaging programs.

## Functions

## Types and Values

### FolksAliasDetails

    typedef struct _FolksAliasDetails FolksAliasDetails;

Alias for a contact.

This allows representation of aliases for contacts, where the user has chosen their own name for the contact to better represent that contact to them. A typical example of this is the use of user-chosen aliases for contacts in instant messaging programs.

### struct FolksAliasDetailsIface

    struct FolksAliasDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_alias) (FolksAliasDetails* self, const gchar* alias, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_alias_finish) (FolksAliasDetails* self, GAsyncResult* _res_, GError** error);
    	const gchar* (*get_alias) (FolksAliasDetails* self);
    	void (*set_alias) (FolksAliasDetails* self, const gchar* value);
    };

Interface for creating FolksAliasDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_alias` () | virtual method called by ``folks_alias_details_change_alias()`` |
`change_alias_finish` () | asynchronous finish function for `change_alias`, called by ``folks_alias_details_change_alias()`` |
`get_alias` () | getter method for the abstract property "alias" |
`set_alias` () | setter method for the abstract property "alias" |